org.apache.mina.http

## Class HttpServerEncoder

- java.lang.Object
- - org.apache.mina.http.HttpServerEncoder

- All Implemented Interfaces:
    ProtocolEncoder

      public class HttpServerEncoder
      extends Object
      implements ProtocolEncoder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpServerEncoder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose(IoSession session)` Releases all resources related with this encoder.
    `void` | `encode(IoSession session, Object message, ProtocolEncoderOutput out)` Encodes higher-level message objects into binary or protocol-specific data.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpServerEncoder

          public HttpServerEncoder()

  - ### Method Detail

    - #### encode

          public void encode(IoSession session,
                    Object message,
                    ProtocolEncoderOutput out)
                      throws Exception

      Description copied from interface: `ProtocolEncoder`
      Encodes higher-level message objects into binary or protocol-specific data. MINA invokes `ProtocolEncoder.encode(IoSession, Object, ProtocolEncoderOutput)` method with message which is popped from the session write queue, and then the encoder implementation puts encoded messages (typically `IoBuffer`s) into `ProtocolEncoderOutput`.
      Specified by:
        `encode` in interface `ProtocolEncoder`
      Throws:
        `Exception` - if the message violated protocol specification

    - #### dispose

          public void dispose(IoSession session)
                       throws Exception

      Description copied from interface: `ProtocolEncoder`
      Releases all resources related with this encoder.
      Specified by:
        `dispose` in interface `ProtocolEncoder`
      Throws:
        `Exception` - if failed to dispose all resources

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.